import { jsx } from "react/jsx-runtime";
import { Drone as Drone$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Drone = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Drone", ...props, children: /* @__PURE__ */ jsx(Drone$1, { weight: variant }) });
  }
);
Drone.displayName = "Drone";
Object.assign(Drone, { isGdsIcon: true });
export {
  Drone
};
